import type { Expectation } from './expectation/expectation';
import type { CallMap } from './expectation/repository/expectation-repository';
import type { Property } from './proxy';
import type { PendingExpectation } from './when/pending-expectation';
export declare class UnfinishedExpectation extends Error {
    constructor(pendingExpectation: PendingExpectation);
}
export declare class MissingWhen extends Error {
    constructor();
}
export declare class UnexpectedAccess extends Error {
    constructor(property: Property, expectations: Expectation[]);
}
export declare class UnexpectedCall extends Error {
    constructor(property: Property, args: any[], expectations: Expectation[]);
}
export declare class NotAMock extends Error {
    constructor();
}
export declare class UnmetExpectations extends Error {
    constructor(expectations: Expectation[]);
}
export declare class UnexpectedCalls extends Error {
    constructor(unexpectedCalls: CallMap, expectations: Expectation[]);
}
export declare class NestedWhen extends Error {
    constructor(parentProp: Property, childProp: Property);
}
