import type { Matcher, TypeMatcher } from './matcher';
declare type DeepPartial<T> = T extends object ? {
    [K in keyof T]?: DeepPartial<T[K]>;
} : T;
/**
 * Contains argument matchers that can be used to ignore arguments in an
 * expectation or to match complex arguments.
 */
export declare const It: {
    matches: <T>(cb: (actual: T) => boolean, { toJSON }?: {
        toJSON?: (() => string) | undefined;
    }) => TypeMatcher<T>;
    deepEquals: <T_1>(expected: T_1, { strict }?: {
        strict?: boolean | undefined;
    }) => TypeMatcher<T_1>;
    is: <T_2 = unknown>(expected: T_2) => TypeMatcher<T_2>;
    isAny: () => TypeMatcher<any>;
    isObject: <T_3 extends object, K extends DeepPartial<T_3>>(partial?: K | undefined) => TypeMatcher<T_3>;
    isNumber: () => TypeMatcher<number>;
    isString: ({ matching, containing, }?: {
        matching?: RegExp | undefined;
        containing?: string | undefined;
    }) => TypeMatcher<string>;
    isArray: <T_4 extends any[]>(containing?: T_4 | undefined) => TypeMatcher<T_4>;
    willCapture: <T_5 = unknown>(name?: string) => T_5 & Matcher & {
        value: T_5 | undefined;
    };
};
export {};
