import type { Mock } from '../mock/mock';
/**
 * Remove any remaining expectations on the given mock.
 *
 * @example
 * const fn = mock<() => number>();
 *
 * when(() => fn()).thenReturn(23);
 *
 * reset(fn);
 *
 * fn(); // throws
 */
export declare const reset: (mock: Mock<any>) => void;
/**
 * Reset all existing mocks.
 *
 * @see reset
 */
export declare const resetAll: () => void;
